datablock ParticleData(PissParticle)
{
   dragCoefficient      = 2.0;
   gravityCoefficient   = 1;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 200;
   lifetimeVarianceMS   = 100;
   useInvAlpha          = true;
   spinRandomMin        = -90.0;
   spinRandomMax        = 500.0;
   textureName          = "~/data/shapes/particles/bubble";
   
   colors[0]     = "1 0.9 0.2 0.5";
   colors[1]     = "1 0.9 0.2 0.25";
   colors[2]     = "1 0.9 0.2 0.0";
   
   sizes[0]      = 0.01;
   sizes[1]      = 0.02;
   sizes[2]      = 0.04;
   times[0]      = 0.0;
   times[1]      = 0.5;
   times[2]      = 1;
};

datablock ParticleData(Piss2Particle)
{
   dragCoefficient      = 10.0;
   gravityCoefficient   = 0.1;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 200;
   lifetimeVarianceMS   = 100;
   useInvAlpha          = true;
   spinRandomMin        = -90.0;
   spinRandomMax        = 500.0;
   textureName          = "~/data/shapes/particles/fire";
   
   colors[0]     = "1 0.9 0.2 0.05";
   colors[1]     = "1 0.9 0.2 0.05";
   colors[2]     = "1 0.9 0.2 0.01";
   
   sizes[0]      = 0.04;
   sizes[1]      = 0.08;
   sizes[2]      = 0.16;
   times[0]      = 0.0;
   times[1]      = 0.5;
   times[2]      = 1;
};

datablock ParticleData(CumParticle)
{
   dragCoefficient      = 2.0;
   gravityCoefficient   = 1;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 200;
   lifetimeVarianceMS   = 100;
   useInvAlpha          = true;
   spinRandomMin        = -90.0;
   spinRandomMax        = 500.0;
   textureName          = "~/data/shapes/particles/bubble";
   
   colors[0]     = "0.9 0.9 0.9 0.5";
   colors[1]     = "0.9 0.9 0.9 0.25";
   colors[2]     = "0.9 0.9 0.9 0.0";
   
   sizes[0]      = 0.01;
   sizes[1]      = 0.02;
   sizes[2]      = 0.04;
   times[0]      = 0.0;
   times[1]      = 0.5;
   times[2]      = 1;
};

datablock ParticleData(Cum2Particle)
{
   dragCoefficient      = 10.0;
   gravityCoefficient   = 0.1;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 200;
   lifetimeVarianceMS   = 100;
   useInvAlpha          = true;
   spinRandomMin        = -90.0;
   spinRandomMax        = 500.0;
   textureName          = "~/data/shapes/particles/fire";
   
   colors[0]     = "0.9 0.9 0.9 0.05";
   colors[1]     = "0.9 0.9 0.9 0.05";
   colors[2]     = "0.9 0.9 0.9 0.01";
   
   sizes[0]      = 0.04;
   sizes[1]      = 0.08;
   sizes[2]      = 0.16;
   times[0]      = 0.0;
   times[1]      = 0.5;
   times[2]      = 1;
};

datablock ParticleData(ShitParticle)
{
   dragCoefficient      = 10.0;
   gravityCoefficient   = 0.1;
   inheritedVelFactor   = 0.0;
   constantAcceleration = 0.0;
   lifetimeMS           = 200;
   lifetimeVarianceMS   = 100;
   useInvAlpha          = true;
   spinRandomMin        = -90.0;
   spinRandomMax        = 500.0;
   textureName          = "~/data/shapes/particles/smoke";
   
   colors[0]     = "0.25 0.2 0.15 0.5";
   colors[1]     = "0.25 0.2 0.15 0.5";
   colors[2]     = "0.25 0.2 0.15 0.2";
   
   sizes[0]      = 0.04;
   sizes[1]      = 0.08;
   sizes[2]      = 0.16;
   times[0]      = 0.0;
   times[1]      = 0.5;
   times[2]      = 1;
};

datablock ParticleEmitterData(ShitEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 0.01;
   velocityVariance = 0;
   ejectionOffset   = 0.025;
   thetaMin         = 15;
   thetaMax         = 85;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   lifetimeMS       = 250;
   particles = "ShitParticle";
};

datablock ExplosionData(ShitExplosion)
{
   lifeTimeMS = 150;

   // Volume particles
   particleEmitter = ShitEmitter;
   particleDensity = 35;
   particleRadius = 0.1;

   // Point emission
   //emitter[0] = PissEmitter;
};

datablock ParticleEmitterData(PissEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 1.5;
   velocityVariance = 0.5;
   ejectionOffset   = 0.0;
   thetaMin         = 15;
   thetaMax         = 85;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   lifetimeMS       = 150;
   particles = "PissParticle";
};

datablock ParticleEmitterData(Piss2Emitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 0.01;
   velocityVariance = 0;
   ejectionOffset   = 0.05;
   thetaMin         = 15;
   thetaMax         = 85;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   lifetimeMS       = 250;
   particles = "Piss2Particle";
};

datablock ParticleEmitterData(CumEmitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 1.5;
   velocityVariance = 0.5;
   ejectionOffset   = 0.0;
   thetaMin         = 15;
   thetaMax         = 85;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   lifetimeMS       = 150;
   particles = "CumParticle";
};

datablock ParticleEmitterData(Cum2Emitter)
{
   ejectionPeriodMS = 5;
   periodVarianceMS = 0;
   ejectionVelocity = 0.01;
   velocityVariance = 0;
   ejectionOffset   = 0.05;
   thetaMin         = 15;
   thetaMax         = 85;
   phiReferenceVel  = 0;
   phiVariance      = 360;
   overrideAdvance = false;
   lifetimeMS       = 250;
   particles = "Cum2Particle";
};

datablock ExplosionData(PissExplosion)
{
   lifeTimeMS = 150;

   // Volume particles
   particleEmitter = Piss2Emitter;
   particleDensity = 35;
   particleRadius = 0.05;

   // Point emission
   emitter[0] = PissEmitter;
};

datablock ExplosionData(CumExplosion)
{
   lifeTimeMS = 150;

   // Volume particles
   particleEmitter = Cum2Emitter;
   particleDensity = 35;
   particleRadius = 0.05;

   // Point emission
   emitter[0] = CumEmitter;
};

datablock ProjectileData(ShitProjectile)
{
   projectileShapeName = "~/data/shapes/particles/shit.dts";
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 1.5;

   explosion           = ShitExplosion;
   particleEmitter 		   = ShitEmitter;

   muzzleVelocity      = 1;
   velInheritFactor    = 0.3;

   armingDelay         = 0;
   lifetime            = 5000;
   fadeDelay           = 5000;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = true;
   gravityMod = 1;
};

datablock ProjectileData(PissProjectile)
{
   projectileShapeName = "~/data/shapes/particles/piss.dts";
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 1.5;

   explosion           = PissExplosion;

   muzzleVelocity      = 1;
   velInheritFactor    = 0.3;

   armingDelay         = 0;
   lifetime            = 5000;
   fadeDelay           = 5000;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = true;
   gravityMod = 1;
};

datablock ProjectileData(CumProjectile)
{
   projectileShapeName = "~/data/shapes/particles/jizz.dts";
   directDamage        = 0;
   radiusDamage        = 0;
   damageRadius        = 1.5;

   explosion           = CumExplosion;

   muzzleVelocity      = 1;
   velInheritFactor    = 0.3;

   armingDelay         = 0;
   lifetime            = 5000;
   fadeDelay           = 5000;
   bounceElasticity    = 0;
   bounceFriction      = 0;
   isBallistic         = true;
   gravityMod = 1;
};

datablock ShapeBaseImageData(ShitImage)
{
   // Basic Item properties
   shapeFile = "~/data/shapes/particles/dummy.dts";
   emap = true;

   mountPoint = 0;
   correctMuzzleVector = false;
   projectileSpread = 0.1;
   
   className = "WeaponImage";

   projectile = ShitProjectile;
   projectileType = Projectile;
};

datablock ShapeBaseImageData(PissImage)
{
   // Basic Item properties
   shapeFile = "~/data/shapes/particles/dummy.dts";
   emap = true;

   mountPoint = 1;
   correctMuzzleVector = false;
   
   className = "WeaponImage";

   projectile = PissProjectile;
   projectileType = Projectile;
};

datablock ShapeBaseImageData(CumImage)
{
   // Basic Item properties
   shapeFile = "~/data/shapes/particles/dummy.dts";
   emap = true;

   mountPoint = 1;
   correctMuzzleVector = false;
   projectileSpread = 0.075;
   
   className = "WeaponImage";

   projectile = CumProjectile;
   projectileType = Projectile;
};

function FireAway(%this, %obj, %slot, %vel, %trans) //Changed from an image function to one I can simply call from script
{
   // %this is the image to fire from, %obj is the object to fire from, %slot is the slot but should typically be 0
   // %vel is the velocity of the projectile, which I'll control from script
   %projectile = %this.projectile;

   if (%this.projectileSpread)
   {
      // We'll need to "skew" this projectile a little bit.  We start by
      // getting the straight ahead aiming point of the gun
      %vec = %obj.getMuzzleVector(%slot);

      // Then we'll create a spread matrix by randomly generating x, y, and z
      // points in a circle
      for(%i = 0; %i < 3; %i++)
         %matrix = %matrix @ (getRandom() - 0.5) * 2 * 3.1415926 * %this.projectileSpread @ " ";
      %mat = MatrixCreateFromEuler(%matrix);

      // Which we'll use to alter the projectile's initial vector with
      %muzzleVector = MatrixMulVector(%mat, %vec);
   }
   else
   {
      // Weapon projectile doesn't have a spread factor so we fire it using
      // the straight ahead aiming point of the gun
      %muzzleVector = %obj.getMuzzleVector(%slot);
   }
   
   // Determine initial projectile velocity based on the 
   // gun's muzzle point and the object's current velocity
   %objectVelocity = %obj.getVelocity();
   %muzzleVelocity = VectorAdd(
      VectorScale(%muzzleVector, %vel),
      VectorScale(%objectVelocity, %projectile.velInheritFactor));

   // Create the projectile object
   %p = new (%this.projectileType)() {
      dataBlock        = %projectile;
      initialVelocity  = %muzzleVelocity;
      initialPosition  = %trans;
   };
   MissionCleanup.add(%p);
   return %p;
}