//-----------------------------------------------------------------------------
// Torque Game Engine 
// Copyright (C) GarageGames.com, Inc.
//-----------------------------------------------------------------------------

// Load dts shapes and merge animations
exec("~/data/shapes/player/player.cs");
exec("~/data/shapes/animals/goat.cs");
exec("~/data/shapes/animals/sheep.cs");
exec("~/data/shapes/animals/pig.cs");

datablock PlayerData(PlayerBody)
{
   renderFirstPerson = false;
   shapeFile = "~/data/shapes/player/player.dts";
   cameraMaxDist = 3;
   boundingBox = "0.1 0.1 1";
};

datablock PlayerData(Goat)
{
   renderFirstPerson = false;
   shapeFile = "~/data/shapes/animals/goat.dts";
   cameraMaxDist = 3;
   boundingBox = "0.1 0.1 0.5";
   defaultScale = "0.75 0.75 0.75";
   
   sexNum = 7; //Number of sex sequences
   
   camTrans = "95.5835 -28.9293 112.4"; //Transform of the camera mooring
   
   sex[0] = "stop"; //Name of sequence, just a way to keep track
   sexAnim[0] = "laydown"; //Name of the animation the animal plays
   sexPlayerAnim[0] = "laydown"; //Name of the animation the player plays
   sexTrans[0] = "95.2 -29 111.608 1 0 0 0"; //transform of the animal
   sexPlayerTrans[0] = "95.6 -29.1 111.608 0 0 1 3.14159"; //transform of the player
   sexButton[0] = 0; //Index number for the button. The buttons available in order are: 
   //0 Stop
   //1 Oral
   //2 Anal
   //3 Vaginal
   //4 Water Sports
   //5 Scat Play
   //Additional buttons can be added later, with their index nums added to clientGame.cs
   
   sex[1] = "oral1";
   sexAnim[1] = "onback";
   sexPlayerAnim[1] = "godown";
   sexTrans[1] = "95.5316 -29.8437 111.608 1 0 0 0";
   sexPlayerTrans[1] = "95.5859 -28.8691 111.608 0 0 1 3.1416";
   sexSound[1] = "sex"; //Looping audioprofile to play continuously during the scene
   sexMoan[1] = "goatmoan"; //Non-looping AudioProfile to use as a moan
   sexButton[1] = 1;
   
   sex[2] = "oral2";
   sexAnim[2] = "bj";
   sexPlayerAnim[2] = "bj";
   sexTrans[2] = "95.5562 -29.3957 111.61 1 0 0 0";
   sexPlayerTrans[2] = "95.6055 -28.657 111.608 0 0 1 3.14159";
   sexSound[2] = "blowjob";
   sexButton[2] = 1;
   
   sex[3] = "anal";
   sexAnim[3] = "anal";
   sexPlayerAnim[3] = "goatfucker";
   sexTrans[3] = "95.6307 -28.8287 111.61 0 0 1 3.14159";
   sexPlayerTrans[3] = "95.6889 -28.5556 111.608 0 0 1 3.14166";
   sexSound[3] = "sex";
   sexMoan[3] = "goatmoan";
   sexButton[3] = 2;
   
   sex[4] = "vaginal";
   sexAnim[4] = "onback";
   sexPlayerAnim[4] = "plow";
   sexTrans[4] = "95.5237 -29.289 111.608 1 0 0 0";
   sexPlayerTrans[4] = "95.5859 -28.8691 111.608 0 0 1 3.1416";
   sexSound[4] = "sex";
   sexMoan[4] = "goatmoan";
   sexButton[4] = 3;
   
   sex[5] = "watersports";
   sexAnim[5] = "prime";
   sexPlayerAnim[5] = "onground";
   sexTrans[5] = "95.5316 -29.6437 111.608 0 0 1 3.14159";
   sexPlayerTrans[5] = "95.4695 -28.4379 111.608 1 0 0 0";
   sexSound[5] = "peesound";
   sexMoan[5] = "";
   sexButton[5] = 4;
   sexPee[5] = -1; //If this is set to anything but 0, the actor will pee at this velocity
   sexPeeDelay[5] = 100; //delay between spurts in ms
   sexPeeTrans[5] = "95.5316 -29.3653 112.15"; //transform for where pee comes out
   
   sex[6] = "scatplay";
   sexAnim[6] = "prime";
   sexPlayerAnim[6] = "onground";
   sexTrans[6] = "95.5316 -29.6437 111.608 0 0 1 3.14159";
   sexPlayerTrans[6] = "95.4695 -28.4379 111.608 1 0 0 0";
   sexSound[6] = "poopsound";
   sexMoan[6] = "";
   sexButton[6] = 5;
   sexPoop[6] = -0.8; //If this is set to anything but 0, the actor will poop at this velocity
   sexPoopDelay[6] = 100; //delay between squirts in ms
   sexPoopTrans[6] = "95.5316 -29.3653 112.28"; //transform for where poop comes out
};

datablock PlayerData(Sheep)
{
   renderFirstPerson = false;
   shapeFile = "~/data/shapes/animals/sheep.dts";
   cameraMaxDist = 3;
   boundingBox = "0.1 0.1 0.5";
   defaultScale = "0.75 0.75 0.75";
   
   sexNum = 7;
   
   camTrans = "95.5835 -28.9293 112.4";
   
   sex[0] = "stop";
   sexAnim[0] = "laydown";
   sexPlayerAnim[0] = "laydown";
   sexTrans[0] = "95.2 -29 111.608 1 0 0 0";
   sexPlayerTrans[0] = "95.6 -29.1 111.608 0 0 1 3.14159";
   sexButton[0] = 0;
   
   sex[1] = "oral1";
   sexAnim[1] = "onback";
   sexPlayerAnim[1] = "godown";
   sexTrans[1] = "95.5316 -29.8437 111.608 1 0 0 0";
   sexPlayerTrans[1] = "95.5859 -28.8691 111.608 0 0 1 3.1416";
   sexSound[1] = "sex";
   sexMoan[1] = "sheepmoan";
   sexButton[1] = 1;
   
   sex[2] = "oral2";
   sexAnim[2] = "bj";
   sexPlayerAnim[2] = "bj";
   sexTrans[2] = "95.5562 -29.3957 111.61 1 0 0 0";
   sexPlayerTrans[2] = "95.6055 -28.657 111.608 0 0 1 3.14159";
   sexSound[2] = "blowjob";
   sexButton[2] = 1;
   
   sex[3] = "anal";
   sexAnim[3] = "anal";
   sexPlayerAnim[3] = "goatfucker";
   sexTrans[3] = "95.6307 -28.8287 111.61 0 0 1 3.14159";
   sexPlayerTrans[3] = "95.6889 -28.5556 111.608 0 0 1 3.14166";
   sexSound[3] = "sex";
   sexMoan[3] = "sheepmoan";
   sexButton[3] = 2;
   
   sex[4] = "vaginal";
   sexAnim[4] = "onback";
   sexPlayerAnim[4] = "plow";
   sexTrans[4] = "95.5237 -29.289 111.608 1 0 0 0";
   sexPlayerTrans[4] = "95.5859 -28.8691 111.608 0 0 1 3.1416";
   sexSound[4] = "sex";
   sexMoan[4] = "sheepmoan";
   sexButton[4] = 3;
   
   sex[5] = "watersports";
   sexAnim[5] = "prime";
   sexPlayerAnim[5] = "onground";
   sexTrans[5] = "95.5316 -29.6437 111.608 0 0 1 3.14159";
   sexPlayerTrans[5] = "95.4695 -28.4379 111.608 1 0 0 0";
   sexSound[5] = "peesound";
   sexMoan[5] = "";
   sexButton[5] = 4;
   sexPee[5] = -1;
   sexPeeDelay[5] = 100;
   sexPeeTrans[5] = "95.5316 -29.3653 112.15";
   
   sex[6] = "scatplay";
   sexAnim[6] = "prime";
   sexPlayerAnim[6] = "onground";
   sexTrans[6] = "95.5316 -29.6437 111.608 0 0 1 3.14159";
   sexPlayerTrans[6] = "95.4695 -28.4379 111.608 1 0 0 0";
   sexSound[6] = "poopsound";
   sexMoan[6] = "";
   sexButton[6] = 5;
   sexPoop[6] = -0.8;
   sexPoopDelay[6] = 100;
   sexPoopTrans[6] = "95.5316 -29.3653 112.28";
};

datablock PlayerData(Pig)
{
   renderFirstPerson = false;
   shapeFile = "~/data/shapes/animals/pig.dts";
   cameraMaxDist = 3;
   boundingBox = "0.1 0.1 0.5";
   defaultScale = "0.75 0.75 0.75";
   
   sexNum = 7;
   
   camTrans = "95.5835 -28.9293 112.3";
   
   sex[0] = "stop";
   sexAnim[0] = "laydown";
   sexPlayerAnim[0] = "laydown";
   sexTrans[0] = "95.2 -29 111.608 1 0 0 0";
   sexPlayerTrans[0] = "95.6 -29.1 111.608 0 0 1 3.14159";
   sexButton[0] = 0;
   
   sex[1] = "oral1";
   sexAnim[1] = "onback";
   sexPlayerAnim[1] = "godown";
   sexTrans[1] = "95.5316 -29.8437 111.608 1 0 0 0";
   sexPlayerTrans[1] = "95.5859 -28.8691 111.608 0 0 1 3.1416";
   sexSound[1] = "sex";
   sexMoan[1] = "pigmoan";
   sexButton[1] = 1;
   
   sex[2] = "oral2";
   sexAnim[2] = "bj";
   sexPlayerAnim[2] = "pigfucker";
   sexTrans[2] = "95.6307 -29.2287 111.61 1 0 0 0";
   sexPlayerTrans[2] = "95.6055 -28.657 111.608 0 0 1 3.14159";
   sexSound[2] = "blowjob";
   sexMoan[2] = "";
   sexButton[2] = 1;
   
   sex[3] = "anal";
   sexAnim[3] = "anal";
   sexPlayerAnim[3] = "pigfucker";
   sexTrans[3] = "95.6307 -28.8287 111.61 0 0 1 3.14159";
   sexPlayerTrans[3] = "95.6055 -28.657 111.608 0 0 1 3.14159";
   sexSound[3] = "sex";
   sexMoan[3] = "pigmoan";
   sexButton[3] = 2;
   
   sex[4] = "vaginal";
   sexAnim[4] = "onback";
   sexPlayerAnim[4] = "plow";
   sexTrans[4] = "95.5237 -29.289 111.608 1 0 0 0";
   sexPlayerTrans[4] = "95.5859 -28.8691 111.608 0 0 1 3.1416";
   sexSound[4] = "sex";
   sexMoan[4] = "pigmoan";
   sexButton[4] = 3;
   
   sex[5] = "watersports";
   sexAnim[5] = "prime";
   sexPlayerAnim[5] = "onground";
   sexTrans[5] = "95.5316 -29.6437 111.608 0 0 1 3.14159";
   sexPlayerTrans[5] = "95.4695 -28.4379 111.608 1 0 0 0";
   sexSound[5] = "peesound";
   sexMoan[5] = "";
   sexButton[5] = 4;
   sexPee[5] = -1;
   sexPeeDelay[5] = 100;
   sexPeeTrans[5] = "95.5316 -29.3653 112";
   
   sex[6] = "scatplay";
   sexAnim[6] = "prime";
   sexPlayerAnim[6] = "onground";
   sexTrans[6] = "95.5316 -29.6437 111.608 0 0 1 3.14159";
   sexPlayerTrans[6] = "95.4695 -28.4379 111.608 1 0 0 0";
   sexSound[6] = "poopsound";
   sexMoan[6] = "";
   sexButton[6] = 5;
   sexPoop[6] = -1;
   sexPoopDelay[6] = 100;
   sexPoopTrans[6] = "95.5316 -29.3653 112.03";
};

datablock PlayerData(Osama)
{
   renderFirstPerson = false;
   shapeFile = "~/data/shapes/player/osama.dts";
   cameraMaxDist = 3;
   boundingBox = "0.1 0.1 1";
   defaultScale = "1 1 1";
   
   sexNum = 11;
   
   camTrans = "95.5835 -28.9293 112.7";
   
   sex[0] = "stop";
   sexAnim[0] = "foreplay";
   sexPlayerAnim[0] = "foreplay";
   sexTrans[0] = "95.47 -29 111.608 0 0 -1 1.5708";
   sexPlayerTrans[0] = "95.2 -29 111.608 0 0 -1 1.5708";
   sexButton[0] = 0;
   
   sex[1] = "oral2";
   sexAnim[1] = "bj";
   sexPlayerAnim[1] = "bjtwo";
   sexTrans[1] = "95.6055 -28.857 111.608 0 0 1 3.14159";
   sexPlayerTrans[1] = "95.52 -28.9 111.61 1 0 0 0";
   sexSound[1] = "blowjob";
   sexButton[1] = 1;
   
   sex[2] = "oral2";
   sexAnim[2] = "bjtwo";
   sexPlayerAnim[2] = "bj";
   sexTrans[2] = "95.52 -28.9 111.61 1 0 0 0";
   sexPlayerTrans[2] = "95.6055 -28.857 111.608 0 0 1 3.14159";
   sexSound[2] = "blowjob";
   sexButton[2] = 1;
   
   sex[3] = "anal";
   sexAnim[3] = "buttfucker";
   sexPlayerAnim[3] = "anal";
   sexTrans[3] = "95.60 -29.1721 111.61 1 0 0 0";
   sexPlayerTrans[3] = "95.6055 -28.857 111.608 1 0 0 0";
   sexSound[3] = "sex";
   sexMoan[3] = "malemoan";
   sexButton[3] = 2;
   
   sex[4] = "anal2";
   sexAnim[4] = "anal";
   sexPlayerAnim[4] = "buttfucker";
   sexTrans[4] = "95.6055 -28.857 111.608 1 0 0 0";
   sexPlayerTrans[4] = "95.60 -29.1721 111.61 1 0 0 0";
   sexSound[4] = "sex";
   sexMoan[4] = "malemoan";
   sexButton[4] = 2;
   
   sex[5] = "anal3";
   sexAnim[5] = "plopdown";
   sexPlayerAnim[5] = "analtwo";
   sexTrans[5] = "95.6055 -28.857 111.608 1 0 0 0";
   sexPlayerTrans[5] = "95.6028 -28.53 111.61 1 0 0 0";
   sexSound[5] = "sex";
   sexMoan[5] = "malemoan";
   sexButton[5] = 2;
   
   sex[6] = "anal4";
   sexAnim[6] = "analtwo";
   sexPlayerAnim[6] = "plopdown";
   sexTrans[6] = "95.6028 -28.53 111.61 1 0 0 0";
   sexPlayerTrans[6] = "95.6055 -28.857 111.608 1 0 0 0";
   sexSound[6] = "sex";
   sexMoan[6] = "malemoan";
   sexButton[6] = 2;
   
   sex[7] = "watersports";
   sexAnim[7] = "pee";
   sexPlayerAnim[7] = "cumdumpster";
   sexTrans[7] = "95.6594 -28.4555 111.608 0 0 1 3.14166";
   sexPlayerTrans[7] = "95.5731 -28.9893 111.608 1 0 0 0";
   sexSound[7] = "peesound";
   sexMoan[7] = "";
   sexButton[7] = 4;
   sexPee[7] = 2;
   sexPeeDelay[7] = 100;
   sexPeeTrans[7] = "95.5885 -28.4604 112.67";
   
   sex[8] = "watersports2";
   sexPlayerAnim[8] = "pee";
   sexAnim[8] = "cumdumpster";
   sexPlayerTrans[8] = "95.6594 -28.4555 111.608 0 0 1 3.14166";
   sexTrans[8] = "95.5731 -28.9893 111.608 1 0 0 0";
   sexSound[8] = "peesound";
   sexMoan[8] = "";
   sexButton[8] = 4;
   sexPee[8] = -2;
   sexPeeDelay[8] = 100;
   sexPeeTrans[8] = "95.5885 -28.4604 112.67";
   
   sex[9] = "scatplay";
   sexAnim[9] = "shit";
   sexPlayerAnim[9] = "cumdumpster";
   sexTrans[9] = "95.5622 -27.9193 111.608 1 0 0 0";
   sexPlayerTrans[9] = "95.5727 -28.8538 111.608 1 0 0 0";
   sexPoop[9] = -2;
   sexPoopDelay[9] = 100;
   sexPoopTrans[9] = "95.5876 -28.2932 112.7";
   sexSound[9] = "poopsound";
   //sexMoan[9] = "malemoan";
   sexButton[9] = 5;
   
   sex[10] = "scatplay2";
   sexPlayerAnim[10] = "shit";
   sexAnim[10] = "cumdumpster";
   sexPlayerTrans[10] = "95.5622 -27.9193 111.608 1 0 0 0";
   sexTrans[10] = "95.5727 -28.8538 111.608 1 0 0 0";
   sexPoop[10] = -2;
   sexPoopDelay[10] = 100;
   sexPoopTrans[10] = "95.5876 -28.2932 112.7";
   sexSound[10] = "poopsound";
   //sexMoan[10] = "malemoan";
   sexButton[10] = 5;
};

datablock PlayerData(Male)
{
   renderFirstPerson = false;
   shapeFile = "~/data/shapes/player/male.dts";
   cameraMaxDist = 3;
   boundingBox = "0.1 0.1 1";
   defaultScale = "1 1 1";
   
   sexNum = 6;
   sexGang = 4; //total number extra actors, only used for group sex
   
   camTrans = "95.5835 -28.9293 112.7";
   
   sex[0] = "stop";
   sexAnim[0] = "foreplay";
   sexPlayerAnim[0] = "foreplay";
   sexExtraAnim[0] = "prime" TAB "prime" TAB "prime" TAB "prime"; //animations for extra actors, separated by TABs
   sexTrans[0] = "95.47 -29 111.608 0 0 -1 1.5708";
   sexPlayerTrans[0] = "95.2 -29 111.608 0 0 -1 1.5708";
   sexExtraTrans[0] = "96 -29.3466 111.608 0 0 -1 1.5708" TAB "95.6 -28.5061 111.608 0 0 -1 1.5708" TAB "96 -28.7061 111.608 0 0 -1 1.5708" TAB "95.6 -29.5466 111.608 0 0 -1 1.5708"; //transforms for the extra actors, separated by tabs
   sexButton[0] = 0;
   
   sex[1] = "gangbang";
   sexAnim[1] = "buttfucker";
   sexPlayerAnim[1] = "gangbang";
   sexExtraAnim[1] = "bj" TAB "prime" TAB "prime" TAB "bjthree";
   sexTrans[1] = "95.6057 -29.3957 111.608 1 0 0 0";
   sexPlayerTrans[1] = "95.5325 -29.1141 111.608 1 0 0 0";
   sexExtraTrans[1] = "95.6589 -28.52 111.608 0 0 1 3.14164" TAB "96.0459 -28.5676 111.608 0 0 -1 1.5708" TAB "95.1377 -28.3893 111.608 0 0 1 1.5708" TAB "95.5315 -28.9841 111.608 1 0 0 0";
   sexSound[1] = "sex";
   sexMoan[1] = "malemoan";
   sexButton[1] = 1;
   
   sex[2] = "anal";
   sexAnim[2] = "buttfucker";
   sexPlayerAnim[2] = "buttfucker";
   sexExtraAnim[2] = "buttfucker" TAB "buttfucker" TAB "buttfucker" TAB "anal";
   sexTrans[2] = "95.60 -28.5419 111.608 1 0 0 0";
   sexPlayerTrans[2] = "95.60 -28.857 111.61 1 0 0 0";
   sexExtraTrans[2] = "95.60 -29.1721 111.61 1 0 0 0" TAB "95.60 -29.4872 111.61 1 0 0 0" TAB "95.60 -29.8023 111.61 1 0 0 0" TAB "95.60 -28.2268 111.608 1 0 0 0";
   sexSound[2] = "sex";
   sexMoan[2] = "malemoan";
   sexButton[2] = 2;
   
   sex[3] = "bukkake";
   sexAnim[3] = "jo";
   sexPlayerAnim[3] = "cumdumpster";
   sexExtraAnim[3] = "jo" TAB "jo" TAB "jo" TAB "jo";
   sexTrans[3] = "96.3688 -28.2667 111.608 0 0 1 3.88322";
   sexPlayerTrans[3] = "95.5727 -28.8538 111.608 1 0 0 0";
   sexExtraTrans[3] = "95.6589 -27.92 111.608 0 0 1 3.14165" TAB "96.6481 -28.9594 111.608 0 0 -1 1.5708" TAB "94.4219 -28.8112 111.608 0 0 1 1.5708" TAB "94.7957 -28.1553 111.608 0 0 1 2.35";
   sexCumTrans[3] = "96.3205 -28.2273 112.67";
   sexCumExtraTrans[3] = "95.5903 -27.9288 112.67" TAB "96.6385 -28.8888 112.67" TAB "94.4306 -28.8859 112.67" TAB "94.7552 -28.201 112.67";
   //sexSound[3] = "";
   sexMoan[3] = "malemoan";
   sexButton[3] = 1;
   
   sex[4] = "watersports";
   sexAnim[4] = "pee";
   sexPlayerAnim[4] = "cumdumpster";
   sexExtraAnim[4] = "pee" TAB "pee" TAB "pee" TAB "pee";
   sexTrans[4] = "96.3688 -28.2667 111.608 0 0 1 3.88322";
   sexPlayerTrans[4] = "95.5727 -28.8538 111.608 1 0 0 0";
   sexExtraTrans[4] = "95.6589 -27.92 111.608 0 0 1 3.14165" TAB "96.6481 -28.9594 111.608 0 0 -1 1.5708" TAB "94.4219 -28.8112 111.608 0 0 1 1.5708" TAB "94.7957 -28.1553 111.608 0 0 1 2.35";
   sexPee[4] = 2.5;
   sexPeeExtra[4] = 2.5 TAB 2.5 TAB 2.5 TAB 2.5; //same as sexPee, but for extra actors. Use 0 to not have any pee at all for that actor
   sexPeeDelay[4] = 100;
   sexPeeTrans[4] = "96.3205 -28.2273 112.67";
   sexPeeExtraTrans[4] = "95.5903 -27.9288 112.67" TAB "96.6385 -28.8888 112.67" TAB "94.4306 -28.8859 112.67" TAB "94.7552 -28.201 112.67";
   sexSound[4] = "peesound";
   //sexMoan[4] = "malemoan";
   sexButton[4] = 4;
   
   sex[5] = "scatplay";
   sexAnim[5] = "shit";
   sexPlayerAnim[5] = "cumdumpster";
   sexExtraAnim[5] = "shit" TAB "shit" TAB "shit" TAB "shit";
   sexTrans[5] = "96.281 -28.1821 111.608 0 0 1 0.850037";
   sexPlayerTrans[5] = "95.5727 -28.8538 111.608 1 0 0 0";
   sexExtraTrans[5] = "95.5622 -27.9193 111.608 1 0 0 0" TAB "96.6485 -28.8544 111.608 0 0 1 1.5708" TAB "94.4294 -28.8986 111.608 0 0 -1 1.5708" TAB "94.7975 -28.2037 111.608 0 0 -1 0.83318";
   sexPoop[5] = -2;
   sexPoopExtra[5] = -2 TAB -2 TAB -2 TAB -2;
   sexPoopDelay[5] = 100;
   sexPoopTrans[5] = "96.0197 -28.4525 112.7";
   sexPoopExtraTrans[5] = "95.5876 -28.2932 112.7" TAB "96.2742 -28.897 112.7" TAB "94.8006 -28.8601 112.7" TAB "95.0915 -28.4488 112.7";
   sexSound[5] = "poopsound";
   //sexMoan[5] = "malemoan";
   sexButton[5] = 5;
};

//----------------------------------------------------------------------------
// PlayerBody Datablock methods
//----------------------------------------------------------------------------

function PlayerBody::onAdd(%this,%obj)
{
   // Called when the PlayerData datablock is first 'read' by the engine (executable)
}

function PlayerBody::onRemove(%this, %obj)
{
   if (%obj.client.player == %obj)
      %obj.client.player = 0;
}

function PlayerBody::onNewDataBlock(%this,%obj)
{
   // Called when this PlayerData datablock is assigned to an object
}
